HAREC(1)

NAME
harec - Hare compiler for POSIX-compatible systems

SYNOPSIS
harec [-h] [-a arch] [-D constant] [-M path] [-m symbol] [-N namespace] [-o output] [-T] [-t typedefs] [-v] input.ha

DESCRIPTION
The options are as follows:

-h  Prints the help message and exits.

-a arch
    Set target architecture.

-D constant
    Define a constant.

-M path
    Set module path prefix, to be stripped from error messages.

-m symbol
    Set symbol of hosted main function.

-N namespace
    Override namespace for module.

-o output
    Set output file name.

-T  Emit tests.

-t typedefs
    Emit typedefs to file.

-v  Print version and exit.